## net.i2p.util
Class OrderedProperties

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              java.util.Properties
                  net.i2p.util.OrderedProperties

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class OrderedProperties
extends java.util.Properties

Properties map that has its keySet ordered consistently (via the key's lexicographical ordering). This is useful in environments where maps must stay the same order (e.g. for signature verification) This does NOT support remove against the iterators / etc.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Hashtable
``

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`OrderedProperties()`

Method Summary
`void` `clear()`
`java.lang.Object` `clone()`
`boolean` `contains(java.lang.Object value)`
`boolean` `containsKey(java.lang.Object key)`
`boolean` `containsValue(java.lang.Object value)`
`java.util.Enumeration` `elements()`
`java.util.Set` `entrySet()`
`boolean` `equals(java.lang.Object obj)`
`java.lang.Object` `get(java.lang.Object key)`
`java.lang.String` `getProperty(java.lang.String key)`
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Enumeration` `keys()`
`java.util.Set` `keySet()`
`void` `list(java.io.PrintStream out)`
`void` `list(java.io.PrintWriter out)`
`void` `load(java.io.InputStream in)`
`static void` `main(java.lang.String[] args)`
`java.util.Enumeration` `propertyNames()`
`java.lang.Object` `put(java.lang.Object key, java.lang.Object val)`
`void` `putAll(java.util.Map data)`
`java.lang.Object` `remove(java.lang.Object key)`
`java.lang.Object` `setProperty(java.lang.String key, java.lang.String val)`
`int` `size()`
`void` `store(java.io.OutputStream out, java.lang.String header)`
`java.util.Collection` `values()`

Methods inherited from class java.util.Properties
`getProperty, save`

Methods inherited from class java.util.Hashtable
`rehash, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OrderedProperties

    public OrderedProperties()

Method Detail

### contains

    public boolean contains(java.lang.Object value)

### containsKey

    public boolean containsKey(java.lang.Object key)

### containsValue

    public boolean containsValue(java.lang.Object value)

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### isEmpty

    public boolean isEmpty()

### getProperty

    public java.lang.String getProperty(java.lang.String key)

### get

    public java.lang.Object get(java.lang.Object key)

### setProperty

    public java.lang.Object setProperty(java.lang.String key,
                                        java.lang.String val)

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object val)

### putAll

    public void putAll(java.util.Map data)

### clone

    public java.lang.Object clone()

### clear

    public void clear()

### size

    public int size()

### remove

    public java.lang.Object remove(java.lang.Object key)

### keySet

    public java.util.Set keySet()

### entrySet

    public java.util.Set entrySet()

### values

    public java.util.Collection values()

### elements

    public java.util.Enumeration elements()

### keys

    public java.util.Enumeration keys()

### propertyNames

    public java.util.Enumeration propertyNames()

### list

    public void list(java.io.PrintStream out)

### list

    public void list(java.io.PrintWriter out)

### load

    public void load(java.io.InputStream in)

### store

    public void store(java.io.OutputStream out,
                      java.lang.String header)

### main

    public static void main(java.lang.String[] args)